{
    "$schema": "http://schema.management.azure.com/schemas/2015-01-01/deploymentTemplate.json#",
    "contentVersion": "1.0.0.0",
    "parameters": {
        "factoryName": {
            "type": "string",
            "metadata": "Data Factory name"
        },
        "LSInsightDW_connectionString": {
            "type": "secureString",
            "metadata": "Secure string for 'connectionString' of 'LSInsightDW'"
        },
        "LSCentralOnPremDB_connectionString": {
            "type": "secureString",
            "metadata": "Secure string for 'connectionString' of 'LSCentralOnPremDB'"
        },
        "CompanyName": {
            "type" : "String"
        },
        "TablePrefix": {
            "type" : "String"
        },
        "PipelineStartDate": {
            "type": "String"
        },
        "PipelineStartTime": {
            "type": "String",
            "allowedValues": [ "01","02","03","04","05","06","07","08","09","10","11","12","13","14","15","16","17","18","19","20","21","22","23" ]
        },
        "LSInsightServerName": {
            "type": "String"
        },
        "LSInsightDatabaseName": {
            "type": "String"
        },
        "UserName": {
            "type": "String"
        },
        "Password": {
            "type": "String"
        },
        "ServerName": {
            "type": "String"
        },
        "DatabaseName": {
            "type": "String"
        },
        "SqlLogin": {
            "type": "String"
        },
        "SqlPassword": {
            "type": "String"
        }
    },
    "variables": {
        "factoryId": "[concat('Microsoft.DataFactory/factories/', parameters('factoryName'))]"
    },
    "resources": [
        {
            "name": "[concat(parameters('factoryName'), '/RunOutriggerDimensions')]",
            "properties": {
                "activities": [
                    {
                        "name": "PL-SP-odMemberAttributes",
                        "type": "ExecutePipeline",
                        "dependsOn": [],
                        "userProperties": [],
                        "typeProperties": {
                            "pipeline": {
                                "referenceName": "PL-SP-odMemberAttributes",
                                "type": "PipelineReference"
                            },
                            "waitOnCompletion": true
                        }
                    },
                    {
                        "name": "PL-fItemCostAdjustment",
                        "type": "ExecutePipeline",
                        "dependsOn": [],
                        "userProperties": [],
                        "typeProperties": {
                            "pipeline": {
                                "referenceName": "PL-fItemCostAdjustment",
                                "type": "PipelineReference"
                            },
                            "waitOnCompletion": true
                        }
                    }
                ],
                "folder": {
                    "name": "PipelineRunDiagrams"
                },
                "annotations": []
            },
            "type": "Microsoft.DataFactory/factories/pipelines",
            "apiVersion": "2018-06-01"
        }
    ]
}